Get transaction list

Returns a list of transactions for all widget IDs associated with the partner account

Query Parameters
  • merchant_transaction_id
    Type: string

    Filters results to transactions with the specified merchant-assigned identifier.

  • date_start
    Type: string

    Start of the date range as a Unix timestamp (seconds since epoch)

  • date_end
    Type: string

    End of the date range as a Unix timestamp (seconds since epoch)

  • status
    Type: string

    Filter by transaction status.

  • show_retries
    Type: boolean

    Whether to include retry transactions in the results.

  • limit
    Type: string

    Maximum number of rows to return. Min: 5, max: 50.

  • offset
    Type: string

    Number of records to skip for pagination

Responses
  • application/json
  • application/json
Request Example for get/sdk-partner/transactions
curl https://sandbox-api.mrcr.io/v1.6/sdk-partner/transactions \
  --header 'Sdk-Partner-Token: YOUR_SECRET_TOKEN'
{
  "status": 200,
  "total": 100,
  "next": "string",
  "prev": "string",
  "data": [
    {
      "transaction_type": {
        "id": "058dc74257a417582",
        "transaction_id": "058dc74303d2d0459",
        "widget_id": "67710925-8b40-4767-846e-3b88db69f04d",
        "merchant_transaction_id": "00357ec76de855485",
        "fiat_currency": "EUR",
        "fiat_amount": "200.00",
        "currency": "BTC",
        "amount": "0.0212512",
        "status": "new",
        "created_at": "2021-07-22 09:08:46",
        "updated_at": "2021-07-22 09:08:46",
        "email": "74111111175@tt.st",
        "payment_method": "apple",
        "user": {
          "uuid4": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"
        },
        "fee": "1.26",
        "rate": "79625.10000016",
        "rate_usd": "1.111111",
        "rate_eur": "1"
      }
    }
  ]
}